package com.gic.haoban.manage.web.qo.contact;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.gic.commons.web.qo.PageQo;

import java.util.Date;

/**
 * Created by wangzubo on 2025/3/15.
 */
public class ContactOrderPageQO extends PageQo {

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 1 线上; 2 线下
     */
    private Integer channelType;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date beginTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 门店过滤
     */
    private Integer storeStatusFilter;

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public Integer getChannelType() {
        return channelType;
    }

    public void setChannelType(Integer channelType) {
        this.channelType = channelType;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStoreStatusFilter() {
        return storeStatusFilter;
    }

    public void setStoreStatusFilter(Integer storeStatusFilter) {
        this.storeStatusFilter = storeStatusFilter;
    }
}
